Package com.collibra.catalog.api.component.classification.dto

# Class ConnectDataClassesWithDataCategoryRequest

Object
ConnectDataClassesWithDataCategoryRequest

All Implemented Interfaces:
  `Serializable`

public class ConnectDataClassesWithDataCategoryRequest extends Object implements Serializable
Criteria for connecting data classes and data category.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ConnectDataClassesWithDataCategoryRequest.ConnectDataClassesWithDataCategoryRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectDataClassesWithDataCategoryRequest()`
  `ConnectDataClassesWithDataCategoryRequest(List<UUID> dataClassIds, UUID dataCategoryId)`
  Creates a new `ConnectDataClassesWithDataCategoryRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConnectDataClassesWithDataCategoryRequest.ConnectDataClassesWithDataCategoryRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getDataCategoryId()`
  The id of the data category to be connected to the data classes.
  `List<UUID>`
  `getDataClassIds()`
  The list of data class ids to be connected to the data category.
  `int`
  `hashCode()`
  `void`
  `setDataCategoryId(UUID dataCategoryId)`
  The id of the data category to be connected to the data classes.
  `void`
  `setDataClassIds(List<UUID> dataClassIds)`
  The list of data class ids to be connected to the data category.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConnectDataClassesWithDataCategoryRequest

    public ConnectDataClassesWithDataCategoryRequest(List<UUID> dataClassIds, UUID dataCategoryId)
    Creates a new `ConnectDataClassesWithDataCategoryRequest` instance.
    Parameters:
      `dataClassIds` - The list of data class ids to be connected to the data category.
      `dataCategoryId` - The id of the data category to be connected to the data classes.

  - ### ConnectDataClassesWithDataCategoryRequest

    public ConnectDataClassesWithDataCategoryRequest()

- ## Method Details

  - ### builder

    public static ConnectDataClassesWithDataCategoryRequest.ConnectDataClassesWithDataCategoryRequestBuilder builder()

  - ### getDataClassIds

    public List<UUID> getDataClassIds()
    The list of data class ids to be connected to the data category.

  - ### getDataCategoryId

    public UUID getDataCategoryId()
    The id of the data category to be connected to the data classes.

  - ### setDataClassIds

    public void setDataClassIds(List<UUID> dataClassIds)
    The list of data class ids to be connected to the data category.

  - ### setDataCategoryId

    public void setDataCategoryId(UUID dataCategoryId)
    The id of the data category to be connected to the data classes.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`